<?xml version="1.0"?>

<!-- $Progeny$ -->

<device_list bus="pci">
  <device busclass="0300" model="0010" model_name="Millennium 4MB MGA-I [Impression?]" vendor="102b">
    <data class="xfree86">
      <data class="server">
        <data class="name">XFree86</data>
        <data class="device">
          <data class="driver" version="[4.2, inf)">mgaII</data>
          <data class="driver" version="[4.0, 4.2)">mga</data>
        </data>
      </data>
    </data>
  </device>
  <device busclass="0300" model="1010" model_name="Faux Millennium 8MB MGA-II" vendor="102b">
    <data class="xfree86">
      <unknowntag><!-- For testing purposes only! -->
        <otherunknowntag>
          <data class="server">XFree86</data>
          <data class="driver">mga</data>
        </otherunknowntag>
      </unknowntag>
    </data>
  </device>

  <device busclass="0300" model="2020" model_name="First data" vendor="102b">
    <data class="linux" version="[1.0, 2.0)">
      <data class="module">
        <data class="name">mill1-2</data>
      </data>
    </data>
    <data class="linux" version="[2.0, 2.4)">
      <data class="module">
        <data class="name">mill2-24</data>
      </data>
    </data>
    <data class="linux" version="[2.4, 3)">
      <!-- The next version should be ignored. -->
      <data class="module" version="[1.0,1.0]">
        <data class="name">mill24-inf</data>
      </data>
    </data>
    <data class="linux" version="[2.5, inf)">
      <data class="module">
        <data class="name">mill24-bad</data>
      </data>
    </data>
  </device>


  <device busclass="0300" model="2020" model_name="Second data" vendor="102b">
    <data class="linux">
      <data class="module">
        <data class="name">Extra data</data>
      </data>
    </data>
  </device>


  <device busclass="0300" model="3030" model_name="Faux Millennium^3" vendor="102b">
    <data class="T">
      <data class="h">
        <data class="i">
          <data class="s"/>
          <data class=" "/>
        </data>
      </data>
      <data class="i">
        <data class="s"/>
        <data class=" "/>
        <data class="a">
          <data class=" "/>
          <data class="d">
            <data class="e"/>
          </data>
          <data class="p"/>
        </data>
      </data>
    </data>
    <data class="t">
      <data class="h">
        <data class="-">
          <data class="f">
            <data class="i">
              <data class="r"/>
            </data>
            <data class="s">
              <data class="t">
                <data class=" "/>
              </data>
            </data>
          </data>
        </data>
        <data class="t"/>
      </data>
    </data>
    <data class="r">
      <data class="a">
        <data class="v"/>
        <data class="e"/>
        <data class="r"/>
        <data class="s"/>
        <data class="a">
          <data class="l"/>
        </data>
      </data>
    </data>
  </device>
</device_list>
